Subject: [lamps] FW: New Version Notification for draft-vangeest-x509-hash-sigs-03.txt

From: Daniel Van Geest <[email-masked]>
Date: Wed, 13 Mar 2019 18:22:00 +0000

This is the latest version of the draft to specify HSS/XMSS(^MT) usage in X.509, which I’ll be presenting at IETF 104 if time allows.  This aligns it with the cms-hash-sigs draft which recently changed from signing a message digest to full message signing.  I’m hoping for adoption in the next recharter, if that happens, they the layout should probably be updated to be consistent with RFC 8410 (EdDSA in X.509), which also does full message signing.

Thanks,
Daniel

On 2019-03-11, 4:02 PM, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>> wrote:

A new version of I-D, draft-vangeest-x509-hash-sigs-03.txt
has been successfully submitted by Daniel Van Geest and posted to the
IETF repository.

Name:                   draft-vangeest-x509-hash-sigs
Revision:              03
Title:                      Algorithm Identifiers for HSS and XMSS for Use in the Internet X.509 Public Key Infrastructure
Document date:                2019-03-11
Group:                  Individual Submission
Pages:                   13
URL:            https://www.ietf.org/internet-drafts/draft-vangeest-x509-hash-sigs-03.txt
Status:         https://datatracker.ietf.org/doc/draft-vangeest-x509-hash-sigs/
Htmlized:       https://tools.ietf.org/html/draft-vangeest-x509-hash-sigs-03
Htmlized:       https://datatracker.ietf.org/doc/html/draft-vangeest-x509-hash-sigs
Diff:           https://www.ietf.org/rfcdiff?url2=draft-vangeest-x509-hash-sigs-03

Abstract:
   This document specifies algorithm identifiers and ASN.1 encoding
   formats for the Hierarchical Signature System (HSS), eXtended Merkle
   Signature Scheme (XMSS), and XMSS^MT, a multi-tree variant of XMSS.
   This specification applies to the Internet X.509 Public Key
   infrastructure (PKI) when digital signatures are used to sign
   certificates and certificate revocation lists (CRLs).

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat